Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractCollapsiblePanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanel
                      org.richfaces.component.AbstractCollapsiblePanel

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver, org.richfaces.event.ItemChangeSource, org.richfaces.event.PanelToggleSource

Direct Known Subclasses:
  UICollapsiblePanel

    public abstract class AbstractCollapsiblePanel

extends AbstractTogglePanel
implements org.richfaces.event.PanelToggleSource

Since:
  2010-08-27
Author:
  akolonitsky

Nested Class Summary
`static class` | `AbstractCollapsiblePanel.States`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanel
`ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractCollapsiblePanel()`

Method Summary
`void` | `addPanelToggleListener(org.richfaces.event.PanelToggleListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.String` | `getActiveItem()`
`abstract java.lang.String` | `getBodyClass()`
`abstract java.lang.String` | `getDir()`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getHeader()`
`abstract java.lang.String` | `getHeaderClass()`
`abstract javax.el.MethodExpression` | `getItemChangeListener()`
`abstract java.lang.String` | `getLang()`
`abstract java.lang.String` | `getLeftCollapsedIcon()`
`abstract java.lang.String` | `getLeftExpandedIcon()`
`abstract java.lang.String` | `getOnbeforeitemchange()`
`abstract java.lang.String` | `getOnbeforeswitch()`
`abstract java.lang.String` | `getOnclick()`
`abstract java.lang.String` | `getOndblclick()`
`abstract java.lang.String` | `getOnitemchange()`
`abstract java.lang.String` | `getOnmousedown()`
`abstract java.lang.String` | `getOnmousemove()`
`abstract java.lang.String` | `getOnmouseout()`
`abstract java.lang.String` | `getOnmouseover()`
`abstract java.lang.String` | `getOnmouseup()`
`abstract java.lang.String` | `getOnswitch()`
`org.richfaces.event.PanelToggleListener[]` | `getPanelToggleListeners()`
`abstract java.lang.String` | `getRightCollapsedIcon()`
`abstract java.lang.String` | `getRightExpandedIcon()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getStyleClass()`
`abstract java.lang.String` | `getTitle()`
`abstract javax.el.MethodExpression` | `getToggleListener()`
`java.lang.Object` | `getValue()`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid)`
`protected boolean` | `isActiveItem(javax.faces.component.UIComponent kid, java.lang.String value)`
`abstract boolean` | `isCycledSwitching()`
`abstract boolean` | `isExpanded()`
`void` | `queueEvent(javax.faces.event.FacesEvent facesEvent)`
`void` | `removePanelToggleListener(org.richfaces.event.PanelToggleListener listener)`
`abstract void` | `setExpanded(boolean expanded)`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class org.richfaces.component.AbstractTogglePanel
`addItemChangeListener, decode, encodeBegin, encodeMetaComponent, getChildIndex, getData, getExecute, getFirstItem, getItem, getItemByIndex, getItemChangeListeners, getItems, getLastItem, getNextItem, getNextItem, getPrevItem, getPrevItem, getRender, getRenderedItems, getRendersChildren, getStatus, getSubmittedActiveItem, getSubmittedValue, getSwitchType, isImmediate, isLimitRender, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeItemChangeListener, resetValue, resolveClientId, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValueExpression, substituteUnresolvedClientId, updateModel, visitTree`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractCollapsiblePanel

    protected AbstractCollapsiblePanel()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `AbstractTogglePanel`

### getActiveItem

    public java.lang.String getActiveItem()

  Overrides:
    `getActiveItem` in class `AbstractTogglePanel`

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid)

  Overrides:
    `isActiveItem` in class `AbstractTogglePanel`

### isActiveItem

    protected boolean isActiveItem(javax.faces.component.UIComponent kid,
                                   java.lang.String value)

  Overrides:
    `isActiveItem` in class `AbstractTogglePanel`

### isExpanded

    public abstract boolean isExpanded()

### setExpanded

    public abstract void setExpanded(boolean expanded)

### isCycledSwitching

    public abstract boolean isCycledSwitching()

  Specified by:
    `isCycledSwitching` in class `AbstractTogglePanel`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent facesEvent)

  Overrides:
    `queueEvent` in class `AbstractTogglePanel`

### getHeader

    public abstract java.lang.String getHeader()

### getToggleListener

    public abstract javax.el.MethodExpression getToggleListener()

### getItemChangeListener

    public abstract javax.el.MethodExpression getItemChangeListener()

  Specified by:
    `getItemChangeListener` in class `AbstractTogglePanel`

### getLeftCollapsedIcon

    public abstract java.lang.String getLeftCollapsedIcon()

### getLeftExpandedIcon

    public abstract java.lang.String getLeftExpandedIcon()

### getRightCollapsedIcon

    public abstract java.lang.String getRightCollapsedIcon()

### getRightExpandedIcon

    public abstract java.lang.String getRightExpandedIcon()

### getBodyClass

    public abstract java.lang.String getBodyClass()

### getHeaderClass

    public abstract java.lang.String getHeaderClass()

### getOnswitch

    public abstract java.lang.String getOnswitch()

### getOnbeforeswitch

    public abstract java.lang.String getOnbeforeswitch()

### getOnbeforeitemchange

    public abstract java.lang.String getOnbeforeitemchange()

  Specified by:
    `getOnbeforeitemchange` in class `AbstractTogglePanel`

### getOnitemchange

    public abstract java.lang.String getOnitemchange()

  Specified by:
    `getOnitemchange` in class `AbstractTogglePanel`

### getLang

    public abstract java.lang.String getLang()

  Specified by:
    `getLang` in interface `AbstractDivPanel`

### getTitle

    public abstract java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `AbstractDivPanel`

### getStyle

    public abstract java.lang.String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### getStyleClass

    public abstract java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### getDir

    public abstract java.lang.String getDir()

  Specified by:
    `getDir` in interface `AbstractDivPanel`

### getOnclick

    public abstract java.lang.String getOnclick()

  Specified by:
    `getOnclick` in interface `AbstractDivPanel`

### getOndblclick

    public abstract java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in interface `AbstractDivPanel`

### getOnmousedown

    public abstract java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in interface `AbstractDivPanel`

### getOnmousemove

    public abstract java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in interface `AbstractDivPanel`

### getOnmouseout

    public abstract java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in interface `AbstractDivPanel`

### getOnmouseover

    public abstract java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in interface `AbstractDivPanel`

### getOnmouseup

    public abstract java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in interface `AbstractDivPanel`

### addPanelToggleListener

    public void addPanelToggleListener(org.richfaces.event.PanelToggleListener listener)

  Specified by:
    `addPanelToggleListener` in interface `org.richfaces.event.PanelToggleSource`

### getPanelToggleListeners

    public org.richfaces.event.PanelToggleListener[] getPanelToggleListeners()

  Specified by:
    `getPanelToggleListeners` in interface `org.richfaces.event.PanelToggleSource`

### removePanelToggleListener

    public void removePanelToggleListener(org.richfaces.event.PanelToggleListener listener)

  Specified by:
    `removePanelToggleListener` in interface `org.richfaces.event.PanelToggleSource`

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `getValue` in class `javax.faces.component.UIOutput`

### setValue

    public void setValue(java.lang.Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `AbstractTogglePanel`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `AbstractTogglePanel`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.